
=pod

=head1 NAME

SDL::MPEG - a SDL perl extension

=head1 CATEGORY

TODO

=head1 SYNOPSIS

  $info = SDL::MPEG->new( -from => $mpeg );

=head1 DESCRIPTION

C<SDL::MPEG> provides an interface to quering the status
of a SMPEG stream.  

=head2 METHODS 

=over 4

=item *

C<SDL::MPEG::has_audio> returns true if it has audio track

=item *

C<SDL::MPEG::has_video> returns true if it has a video track

=item *

C<SDL::MPEG::width> returns the width of the video in pixels

=item *

C<SDL::MPEG::height> returns the height of the video in pixels

=item *

C<SDL::MPEG::size> returns the total size of the clip in bytes

=item *

C<SDL::MPEG::offset> returns the offset into the clip in bytes

=item *

C<SDL::MPEG::frame> returns the offset into the clip in fames 

=item *

C<SDL::MPEG::fps> returns the play rate in frames per second

=item *

C<SDL::MPEG::time> returns the current play time in seconds

=item *

C<SDL::MPEG::length> returns the total play time in seconds

=back

=head1 AUTHOR

David J. Goehrig

=head1 SEE ALSO

perl(1) SDL::Video(3)

=cut

